MyGUI: MyGUI::ControllerRepeatClick Class Reference

MyGUI 3.4.3

Public Types | Public Member Functions | Static Public Member Functions | Data Fields
MyGUI::ControllerRepeatClick Class Reference

`#include <MyGUI_ControllerRepeatClick.h>`

Inheritance diagram for MyGUI::ControllerRepeatClick:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ControllerRepeatClick | RTTIBase
using | EventHandle_RepeatClick = delegates::MultiDelegate<Widget*, ControllerItem*>
Public Types inherited from MyGUI::ControllerItem
typedef RTTIBase | Base
typedef ControllerItem | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
void | setRepeat (float init, float step)
bool | addTime (Widget *_widget, float _time) override
void | prepareItem (Widget *_widget) override
void | setProperty (std::string_view _key, std::string_view _value) override
Public Member Functions inherited from MyGUI::ControllerItem
template<typename Type>
bool | isType () const
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ControllerItem
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Data Fields
EventHandle_RepeatClick | eventRepeatClick
Data Fields inherited from MyGUI::ControllerItem
EventPairAddParameter< EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr > | eventPreAction
EventPairAddParameter< EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr > | eventUpdateAction
EventPairAddParameter< EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr > | eventPostAction

## Detailed Description

This controller can be used to repeatedly trigger an event at specific time steps.

Definition at line 21 of file MyGUI_ControllerRepeatClick.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ControllerRepeatClick::Base

Definition at line 23 of file MyGUI_ControllerRepeatClick.h.

## ◆ EventHandle_RepeatClick

using MyGUI::ControllerRepeatClick::EventHandle_RepeatClick = delegates::MultiDelegate<Widget*, ControllerItem*>

Definition at line 36 of file MyGUI_ControllerRepeatClick.h.

## ◆ RTTIBase

typedef ControllerRepeatClick MyGUI::ControllerRepeatClick::RTTIBase

Definition at line 23 of file MyGUI_ControllerRepeatClick.h.

## Member Function Documentation

## ◆ addTime()

bool MyGUI::ControllerRepeatClick::addTime | ( | MyGUI::Widget * | _widget,
|  | float | _time )
| overridevirtual

Implements MyGUI::ControllerItem.

Definition at line 13 of file MyGUI_ControllerRepeatClick.cpp.

## ◆ getClassTypeName()

std::string_view MyGUI::ControllerRepeatClick::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 23 of file MyGUI_ControllerRepeatClick.h.

## ◆ getTypeName()

virtual std::string_view MyGUI::ControllerRepeatClick::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::ControllerItem.

Definition at line 23 of file MyGUI_ControllerRepeatClick.h.

## ◆ isType() [1/2]

template<typename Type>

bool MyGUI::ControllerRepeatClick::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 23 of file MyGUI_ControllerRepeatClick.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ControllerRepeatClick::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::ControllerItem.

Definition at line 23 of file MyGUI_ControllerRepeatClick.h.

## ◆ prepareItem()

void MyGUI::ControllerRepeatClick::prepareItem | ( | MyGUI::Widget * | _widget | ) |
| overridevirtual

Implements MyGUI::ControllerItem.

Definition at line 40 of file MyGUI_ControllerRepeatClick.cpp.

## ◆ setProperty()

void MyGUI::ControllerRepeatClick::setProperty | ( | std::string_view | _key,
|  | std::string_view | _value )
| overridevirtual

Reimplemented from MyGUI::ControllerItem.

Definition at line 36 of file MyGUI_ControllerRepeatClick.cpp.

## ◆ setRepeat()

void MyGUI::ControllerRepeatClick::setRepeat | ( | float | init,
|  | float | step )

Change initial delay and time step

Parameters

  init | The delay before the first event will be triggered.
  step | The delay after each event before the next event is triggered.

Definition at line 30 of file MyGUI_ControllerRepeatClick.cpp.

## Field Documentation

## ◆ eventRepeatClick

EventHandle_RepeatClick MyGUI::ControllerRepeatClick::eventRepeatClick

Event : Repeat Click.
signature : void method(MyGUI::Widget* _sender, MyGUI::ControllerItem *_controller)

Definition at line 41 of file MyGUI_ControllerRepeatClick.h.

The documentation for this class was generated from the following files:

- MyGUI_ControllerRepeatClick.h
- MyGUI_ControllerRepeatClick.cpp